ck_slot_info Struct Reference

`#include <pkcs11.h>`

## Data Fields

unsigned char | slot_description [64]
unsigned char | manufacturer_id [32]
ck_flags_t | flags
struct ck_version | hardware_version
struct ck_version | firmware_version

## Detailed Description

Definition at line 213 of file pkcs11.h.

## Field Documentation

## firmware_version

struct ck_version ck_slot_info::firmware_version

Definition at line 219 of file pkcs11.h.

## flags

ck_flags_t ck_slot_info::flags

Definition at line 217 of file pkcs11.h.

## hardware_version

struct ck_version ck_slot_info::hardware_version

Definition at line 218 of file pkcs11.h.

## manufacturer_id

unsigned char ck_slot_info::manufacturer_id[32]

Definition at line 216 of file pkcs11.h.

## slot_description

unsigned char ck_slot_info::slot_description[64]

Definition at line 215 of file pkcs11.h.

The documentation for this struct was generated from the following file:

- src/lib/cryptoki_compat/pkcs11.h